SystemOrganization addCategory: #ConfigurationOfDCD6!

Object subclass: #ConfigurationOfDCD6
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDCD6'!

!ConfigurationOfDCD6 class methodsFor: 'development support' stamp: 'fredaebi 5/13/2012 13:02'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfDCD6 class methodsFor: 'private' stamp: 'fredaebi 5/13/2012 13:02'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfDCD6 class methodsFor: 'private' stamp: 'fredaebi 5/13/2012 13:02'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfDCD6 class methodsFor: 'private' stamp: 'fredaebi 5/13/2012 13:02'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfDCD6 class methodsFor: 'metacello tool support' stamp: 'fredaebi 5/13/2012 13:02'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfDCD6 class methodsFor: 'loading' stamp: 'fredaebi 5/13/2012 13:02'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfDCD6 class methodsFor: 'loading' stamp: 'fredaebi 5/13/2012 13:02'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfDCD6 class methodsFor: 'loading' stamp: 'fredaebi 5/13/2012 13:02'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfDCD6 class methodsFor: 'accessing' stamp: 'fredaebi 5/13/2012 13:02'!
project

	^self new project! !

!ConfigurationOfDCD6 class methodsFor: 'development support' stamp: 'fredaebi 5/13/2012 13:02'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfDCD6 methodsFor: 'baselines' stamp: 'fredaebi 5/13/2012 13:54'!
baseline10: spec
	<version: '1.0-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://ss3.gemstone.com/ss/DCD6'.
			spec
				project: 'Spy'
				with: [ 
					spec
						className: 'ConfigurationOfSpy';
						version: 'default';
						file: 'ConfigurationOfSpy';
						repository: 'http://www.squeaksource.com/Spy' ].
			spec
				project: 'Seaside30'
				with: [ 
					spec
						className: 'ConfigurationOfSeaside30';
						version: 'common';
						file: 'ConfigurationOfSeaside30';
						repository: 'http://www.squeaksource.com/Seaside30' ].
			spec package: #DCD6 with: [ spec requires: #('Spy' 'Seaside30') ].
			spec group: 'default' with: #(#DCD6) ]! !

!ConfigurationOfDCD6 methodsFor: 'accessing' stamp: 'fredaebi 5/13/2012 13:02'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfDCD6 methodsFor: 'symbolic versions' stamp: 'fredaebi 5/13/2012 13:06'!
stable: spec
	<symbolicVersion: #stable>
	spec for: #common version: '1.0'! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 5/13/2012 14:19'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec description: 'First stable version'.
			spec author: 'FredericAebi'.
			spec timestamp: '05/13/2012 13:04'.
			spec
				project: 'Spy' with: '1.62';
				project: 'Seaside30' with: '3.0.6.3'.
			spec package: #DCD6 with: 'DCD6-fredaebi.23' ]! !
